package org.RI.P1;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.List;
import java.util.stream.Collectors;

import org.apache.tika.exception.TikaException;
import org.xml.sax.SAXException;

public class AnalyzeDirectory {
    private static List<File> files;

    private static void readFiles(String directory) throws IOException {
        files = Files.walk(Paths.get(directory)).filter(Files::isRegularFile).map(Path::toFile)
                .collect(Collectors.toList());
    }

    public static void main(String[] args) throws IOException, TikaException, SAXException {
        String directory = args[0];
        readFiles(directory);
        for (File file : files) {
            FileData data = new FileData(file);
            System.out.println(data);
            System.out.println("--------------------------------------------------------------------------");
        }
    }

}
